DVB Adaptor not showing in tvheadend

  • Hi,

    I've just bought a"hauppauge" DVB-S2 461e usb stick. I currently have a DVB-t usb stick which works fine.

    The 461e is shown as PCTV in lusub. But no drivers are loaded for the device. Many others on here have used the device so i'm confused as to why i cant get it to work.


    My System is:

    Dell Studio Hybrid pc

    Libreelec 8.25

    TVheadend 4.2 (9.0.115)


    What i have tried so far:

    Device works on windows 7 pc with manufacturer software.

    Device is found to not have enough power on pi2 libreelec 8.90.004 (no driver installed)

    Tried Addition DVB drivers (Cat etc...) none of them worked

    Updated libreelec on Dell Studio to 8.90.004(to get round the powered hub issue of pi). Same result as with previous version of libreelec. also tried the additional DVB drivers.


    dmesg ( http://ix.io/1mgg )


    I'm at a loss as to why no driver will make this kit work.


    Any Geniuses out there, that can help?


    Many thanks in advance,


    007Data

  • Because according to this page Linuxtv.org PCTV 461e your tuner uses Montage M88DS3103 as a demodulator. Since the beginning of 2018, this chip has been modified to a new revision M88DS3103B which is not yet supported by any Linux Distro including Libreelec. And since you bought your tuner recently, it could be a good nominee to be one of the many tuners that have encountered this problem this year.

    Anyway I can't read the Log as I have the same problem like you with another tuner, but may be CvH can help us as usual. CvH may be we have another device to add to the list;(.

    I hope that I'm wrong and the problem is something else.

  • in my first post. I did put I have tried the Leia build on the current machine and a fresh install on raspberry pi. No change in logs appart from pi shows under powered device. I'm hoping somebody has found a way with this new device. Also does that mean the Linux drivers on the Hauppauge site don't work with this version of the device?

  • could you pls share an picture of the stick ? I would forward it to the Hauppauge dev to fix it


    also an dmesg | paste from an 4.18 kernel would be helpful !

    lsusb output would be nice too

  • CvH where can i get a 4.18 kernel to test from?

    current stable build of libreelec is kernel 4.11

    and the most recent alpha of librelec is kernel 4.14

    The above lsusb and dmesg are from the leila build on the pi. i know under voltage is detected. but i had the same result on my dell device without the under voltage warning. It's just easier to mess about with the pi and experiment raqther than using my every day device which has allot going on and i don't want to break. Best case i'd like a fix for the current stable version of libreelec (8.2.5) as i found when i updated my dell to libreelec (8.9) playback of dvb-t was slow,choppy and the whole system became unresponsive. But thats another issue for another thread.

  • Quote

    There was a production issue and batches of this stick have the same vid:pid as a 521e.

    I guess we could workaround that, I asked the driver dev (if I remember correctly you just need some command at the autoexec.sh). This get properly fixed at the future but nothing that will happen in the next 1-2 weeks.

  • CvH, are you saying the device I have does not have the newest chipset and that it is only the vid:pid that's different. Just trying to make sense of where we are compared with the other messages?

  • CvH, are you saying the device I have does not have the newest chipset and that it is only the vid:pid that's different. Just trying to make sense of where we are compared with the other messages?

    Not too sure, but at dmesg you can see that it loads an completely wrong module and therefore it doesn't start.

  • Not too sure, but at dmesg you can see that it loads an completely wrong module and therefore it doesn't start.

    Thanks for pointing this out. can you show me the line that the wrong module is trying to execute. Crazy as there doesn't seem to be many compatible devices out there that i could use until this is resolved.